# Generated from pact-provider-verifier-1.39.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pact-provider-verifier

Name: rubygem-%{gem_name}
Version: 1.39.1
Release: 1%{?dist}
Summary: Provides a Pact verification service for use with Pact
License: MIT
URL: https://github.com/pact-foundation/pact-provider-verifier
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sinatra)
# BuildRequires: rubygem(sinatra-contrib)
# BuildRequires: rubygem(octokit) >= 4.7
# BuildRequires: rubygem(octokit) < 5
# BuildRequires: rubygem(webmock) >= 3.0
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(conventional-changelog) >= 1.2
# BuildRequires: rubygem(conventional-changelog) < 2
# BuildRequires: rubygem(pry-byebug) >= 3.4
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(find_a_port) >= 1.0
# BuildRequires: rubygem(find_a_port) < 2
# BuildRequires: rubygem(bump) >= 0.5
# BuildRequires: rubygem(bump) < 1
# BuildRequires: rubygem(word_wrap)
BuildArch: noarch

%description
A cross-platform Pact verification tool to validate API Providers.
Used in the pact-js-provider project to simplify development.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pact-provider-verifier
%{_bindir}/pact-provider-verifier.cmd
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md

%changelog
* Mon Feb 24 2025 mockbuilder - 1.39.1-1
- Initial package
